local collision = {}

function collision.withGround(x,y,size, world)
	if world:giveTileType(x+1,y+size-1) == 1 or world:giveTileType(x+size-2,y+size-1) == 1 then
		return true
	else
		return false
	end
    
end

function collision.withGroundRight(x,y,size, world)
	if world:giveTileType(x+size,y+1) == 1 or world:giveTileType(x+size,y+size-2) == 1 then
		return true
	else
		return false
	end
end

function collision.withGroundLeft(x,y,size, world)
	if world:giveTileType(x,y+1) == 1 or world:giveTileType(x,y+size-2) == 1 then
		return true
	else
		return false
	end
end

function collision.withGroundUp(x,y,size, world)
	if world:giveTileType(x+1,y) == 1 or world:giveTileType(x+size - 2,y) == 1 then
		return true
	else
		return false
	end
end

return collision