--initialize module
local GameLoop = {}

--constructor
function GameLoop:create()
	local gameLoop = {}
	
	--create list with all objects to update
	gameLoop.tickers = {}
	
	--add object to tickers list
	function gameLoop:addLoop(obj)
		table.insert(self.tickers,obj)
	end
	
	--update all the objects in the list
	function gameLoop:update(dt)
		for tick = 1,#self.tickers do
			local obj = self.tickers[tick]
			obj:tick(dt)
		end
	end
	
	return gameLoop	
end

return GameLoop