--modules needed for the module entity
local rect = require "objects/rect"
local twoVec = require "twoVec"

local Entity = {}

--Initializes entity with given position, size and id
function Entity:new(x,y,w,h,id)
	local ent = rect:new(x,y,w,h)

	ent.vel = twoVec:new(0,0)
	ent.dir = twoVec:new(0,0)
	ent.speed = twoVec:new(0,0)
	ent.id = id or "object"
	
	function ent:load() end
	function ent:tick(dt) end
	function ent:draw() end
	
	return ent

end


return Entity