--initialize module to work with vectors (2d)
local TwoVec = {}

--constructor
function TwoVec:new(x,y)
	local twoVec = {}
	
	--basically initializes a tuple with x and y
	twoVec.x = x or 0
	twoVec.y = y or 0
	
	--specialized function to create movement 
	function twoVec:move(nx,ny,dt)
		local delta =dt or 1
		self.x = self.x + nx * delta
		self.y = self.y + ny * delta
	end
	
	return twoVec
	
end

return TwoVec